Package: org.grails.web.mapping.servlet

## [Groovy] Class UrlMappingsErrorPageCustomizer

- org.grails.web.mapping.servlet.UrlMappingsErrorPageCustomizer

- All Implemented Interfaces and Traits:
    org.springframework.boot.web.server.WebServerFactoryCustomizer<org.springframework.boot.web.servlet.server.ConfigurableServletWebServerFactory>

      @groovy.transform.CompileStatic
      class UrlMappingsErrorPageCustomizer
      extends java.lang.Object
      implements org.springframework.boot.web.server.WebServerFactoryCustomizer<org.springframework.boot.web.servlet.server.ConfigurableServletWebServerFactory>

  Customizes the error pages based on UrlMappings

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private UrlMappings` | `urlMappings` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `UrlMappings` | `urlMappings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingsErrorPageCustomizer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `customize(org.springframework.boot.web.servlet.server.ConfigurableServletWebServerFactory container)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### @org.springframework.beans.factory.annotation.Autowired private UrlMappings urlMappings

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired UrlMappings urlMappings

  - ### Constructor Detail

    - #### UrlMappingsErrorPageCustomizer()

  - ### Method Detail

    - #### @java.lang.Override void customize(org.springframework.boot.web.servlet.server.ConfigurableServletWebServerFactory container)